Bug 1122291 - _rails_session cookie not marked as secure
Summary: _rails_session cookie not marked as secure
Keywords:
Status: CLOSED DUPLICATE of bug 1114111
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Security
Version: 2.1.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 20:57 UTC by Timothy Williams
Modified: 2018-12-09 18:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-24 14:45:56 UTC


Attachments (Terms of Use)

Description Timothy Williams 2014-07-22 20:57:48 UTC
Description of problem:
The "_rails_session" cookie created from the console is not marked as secure. This could allow the cookie to be transmitted over non-secure connections. As openshift (by default) requires an https connection, this isn't too much of an issue. However, server-side misconfiguration could lead to the cookie, along with the CSRF token within, to be compromised.

Version-Release number of selected component (if applicable):
2.1

How reproducible:
Always

Comment 2 Luke Meyer 2014-07-23 05:27:56 UTC
I could have sworn this was already in progress. Alright, well, we should do it. Should not be hard.

Comment 3 Brenton Leanhardt 2014-07-24 14:45:56 UTC

*** This bug has been marked as a duplicate of bug 1114111 ***


Note You need to log in before you can comment on or make changes to this bug.